<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="14490.70" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14490.49"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="UIApplication">
            <connections>
                <outlet property="delegate" destination="3" id="4"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <customObject id="3" customClass="AppDelegate">
            <connections>
                <outlet property="viewController" destination="44" id="82"/>
                <outlet property="window" destination="2" id="5"/>
            </connections>
        </customObject>
        <window autoresizesSubviews="NO" opaque="NO" clipsSubviews="YES" clearsContextBeforeDrawing="NO" contentMode="top" resizesToFullScreen="NO" id="2">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </window>
        <tabBarController id="44">
            <extendedEdge key="edgesForExtendedLayout"/>
            <nil key="simulatedBottomBarMetrics"/>
            <tabBar key="tabBar" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="45">
                <rect key="frame" x="0.0" y="431" width="320" height="49"/>
                <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.0" colorSpace="custom" customColorSpace="sRGB"/>
            </tabBar>
            <viewControllers>
                <viewController title="Main" id="736" userLabel="Main View Controller" customClass="MainViewController">
                    <view key="view" contentMode="scaleToFill" id="744">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="618"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <button hidden="YES" opaque="NO" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" id="746">
                                <rect key="frame" x="20" y="440" width="280" height="44"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" name="Helvetica-Bold" family="Helvetica" pointSize="15"/>
                                <state key="normal" title="Discover bluetooth printers">
                                    <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <action selector="onDiscover:" destination="736" eventType="touchUpInside" id="770"/>
                                </connections>
                            </button>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" textAlignment="center" id="769">
                                <rect key="frame" x="0.0" y="0.0" width="320" height="99"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <string key="text">Press "Discover printers" to discover nearby fiscal bluetooth printers and then select from the list one to connect to or directly pick from the list of connected accessories. Selecting again the connected printer disconnects from it.</string>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                            <label opaque="NO" clipsSubviews="YES" userInteractionEnabled="NO" contentMode="left" text="BT Accessory printer:" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="806">
                                <rect key="frame" x="20" y="263" width="280" height="21"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" clipsSubviews="YES" userInteractionEnabled="NO" contentMode="left" text="Disconnected!" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="808">
                                <rect key="frame" x="20" y="292" width="280" height="21"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" type="boldSystem" pointSize="17"/>
                                <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="default" rowHeight="44" sectionHeaderHeight="22" sectionFooterHeight="22" id="768">
                                <rect key="frame" x="20" y="91" width="280" height="166"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <connections>
                                    <outlet property="dataSource" destination="736" id="772"/>
                                    <outlet property="delegate" destination="736" id="773"/>
                                </connections>
                            </tableView>
                            <label hidden="YES" opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Test Results" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="GxJ-cW-SZo">
                                <rect key="frame" x="5" y="411" width="315" height="21"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <button hidden="YES" opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" id="Bob-Ru-C11">
                                <rect key="frame" x="78" y="373" width="165" height="30"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <state key="normal" title="Start Testing">
                                    <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <action selector="onTest:" destination="736" eventType="touchUpInside" id="1Z8-2V-Opv"/>
                                </connections>
                            </button>
                            <textField hidden="YES" opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="300" borderStyle="roundedRect" minimumFontSize="17" id="tIG-b0-qv1">
                                <rect key="frame" x="112" y="335" width="97" height="30"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits"/>
                                <connections>
                                    <outlet property="delegate" destination="736" id="Ldk-1b-3Jr"/>
                                </connections>
                            </textField>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" id="SIx-OR-JzS">
                                <rect key="frame" x="80" y="492" width="165" height="30"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <state key="normal" title="Print Demo">
                                    <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <action selector="onDemo:" destination="736" eventType="touchUpInside" id="bqt-xo-iDt"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    </view>
                    <extendedEdge key="edgesForExtendedLayout"/>
                    <tabBarItem key="tabBarItem" title="Main" id="738"/>
                    <connections>
                        <outlet property="accLabel" destination="808" id="809"/>
                        <outlet property="printersTable" destination="768" id="774"/>
                        <outlet property="progressViewController" destination="196" id="771"/>
                        <outlet property="testButton" destination="Bob-Ru-C11" id="UGG-BM-ngm"/>
                        <outlet property="testLabel" destination="GxJ-cW-SZo" id="l5F-jz-g5r"/>
                        <outlet property="testTimeField" destination="tIG-b0-qv1" id="5Ik-zJ-dMo"/>
                    </connections>
                </viewController>
                <viewController title="FMP-10" id="775" userLabel="FMP-10 View Controller" customClass="FMP10ViewController">
                    <view key="view" contentMode="scaleToFill" id="776">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="618"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" id="778">
                                <rect key="frame" x="0.0" y="330" width="320" height="99"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <color key="backgroundColor" red="0.0" green="1" blue="0.0" alpha="0.20000000000000001" colorSpace="custom" customColorSpace="sRGB"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="default" rowHeight="44" sectionHeaderHeight="22" sectionFooterHeight="22" id="795">
                                <rect key="frame" x="0.0" y="46" width="375" height="463"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <connections>
                                    <outlet property="dataSource" destination="775" id="800"/>
                                    <outlet property="delegate" destination="775" id="801"/>
                                </connections>
                            </tableView>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" text="Select an operation to execute on the reader, result will be shown in the field below." textAlignment="center" id="798">
                                <rect key="frame" x="0.0" y="-1" width="375" height="252"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    </view>
                    <extendedEdge key="edgesForExtendedLayout"/>
                    <tabBarItem key="tabBarItem" title="FMP-10" id="777"/>
                    <connections>
                        <outlet property="logView" destination="778" id="799"/>
                        <outlet property="operationsTable" destination="795" id="802"/>
                        <outlet property="progressViewController" destination="196" id="785"/>
                    </connections>
                </viewController>
            </viewControllers>
            <point key="canvasLocation" x="-742" y="153"/>
        </tabBarController>
        <viewController wantsFullScreenLayout="YES" id="196" customClass="ProgressViewController">
            <view key="view" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="189">
                <rect key="frame" x="0.0" y="0.0" width="320" height="480"/>
                <autoresizingMask key="autoresizingMask" flexibleMaxY="YES"/>
                <subviews>
                    <activityIndicatorView opaque="NO" clearsContextBeforeDrawing="NO" userInteractionEnabled="NO" contentMode="scaleToFill" style="whiteLarge" id="193">
                        <rect key="frame" x="141" y="203" width="37" height="37"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                    </activityIndicatorView>
                    <progressView opaque="NO" contentMode="scaleToFill" id="326">
                        <rect key="frame" x="28" y="328" width="264" height="2"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                    </progressView>
                    <label opaque="NO" clipsSubviews="YES" userInteractionEnabled="NO" contentMode="left" text="Label" lineBreakMode="tailTruncation" minimumFontSize="10" id="327">
                        <rect key="frame" x="28" y="299" width="264" height="21"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                        <fontDescription key="fontDescription" type="system" size="system"/>
                        <color key="textColor" red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <nil key="highlightedColor"/>
                    </label>
                    <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" text="Operation in progress, please wait..." textAlignment="center" id="503">
                        <rect key="frame" x="20" y="93" width="280" height="94"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="0.0" colorSpace="custom" customColorSpace="sRGB"/>
                        <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                        <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                    </textView>
                </subviews>
                <color key="backgroundColor" red="0.74456521740000003" green="0.74456521740000003" blue="0.74456521740000003" alpha="0.91000000000000003" colorSpace="custom" customColorSpace="sRGB"/>
            </view>
            <extendedEdge key="edgesForExtendedLayout"/>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <size key="freeformSize" width="320" height="480"/>
            <connections>
                <outlet property="activityIndicator" destination="193" id="197"/>
                <outlet property="infoText" destination="503" id="504"/>
                <outlet property="phaseLabel" destination="327" id="328"/>
                <outlet property="progressProgress" destination="326" id="329"/>
            </connections>
        </viewController>
    </objects>
</document>
